"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModelGetQuery = void 0;
var _PathsParser = require("./converter/PathsParser");
var _SelectionFormatter = require("./converter/SelectionFormatter");
class ModelGetQuery {
  getQuery(model, paths) {
    const parser = new _PathsParser.PathsParser();
    const formatter = new _SelectionFormatter.SelectionFormatter();
    const selection = formatter.formatSelection(parser.parse(paths));
    return /* GraphQL */`
            query GetEntry($entryId: String!) {
                entry: get${model.singularApiName}(where: { entryId: $entryId }) {
                    data ${selection}                   
                    error {
                        code
                        message
                        data
                    }
                }
            }
        `;
  }
}
exports.ModelGetQuery = ModelGetQuery;

//# sourceMappingURL=ModelGetQuery.js.map