"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createDataSourcesContext = void 0;
var _api = require("@webiny/api");
var _DataSourcesContext = require("./DataSourcesContext");
var _CmsEntryDataSource = require("../cmsDataSources/CmsEntryDataSource");
var _CmsEntriesDataSource = require("../cmsDataSources/CmsEntriesDataSource");
const createDataSourcesContext = () => {
  return (0, _api.createContextPlugin)(context => {
    context.dataSources = new _DataSourcesContext.DataSourcesContext();
    context.dataSources.addDataSource(new _CmsEntryDataSource.CmsEntryDataSource(context.cms));
    context.dataSources.addDataSource(new _CmsEntriesDataSource.CmsEntriesDataSource(context.cms));
  });
};
exports.createDataSourcesContext = createDataSourcesContext;

//# sourceMappingURL=createDataSourcesContext.js.map