"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createCategoryUpdateValidation = exports.createCategoryCreateValidation = void 0;
var _zod = _interopRequireDefault(require("zod"));
const baseValidation = _zod.default.object({
  name: _zod.default.string().min(1).max(100),
  url: _zod.default.string().min(1).max(100),
  layout: _zod.default.string().min(1).max(100)
});
const createCategoryCreateValidation = () => {
  return baseValidation.extend({
    slug: _zod.default.string().min(1).max(100)
  });
};
exports.createCategoryCreateValidation = createCategoryCreateValidation;
const createCategoryUpdateValidation = () => {
  return baseValidation.partial();
};
exports.createCategoryUpdateValidation = createCategoryUpdateValidation;

//# sourceMappingURL=validation.js.map