"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TranslatedCollectionMapper = void 0;
var _TranslatedCollection = require("../../domain/TranslatedCollection");
var _TranslatedItemMapper = require("./TranslatedItemMapper");
class TranslatedCollectionMapper {
  static fromDTO(dto, id) {
    return new _TranslatedCollection.TranslatedCollection({
      collectionId: dto.collectionId,
      languageCode: dto.languageCode,
      items: dto.items.map(item => _TranslatedItemMapper.TranslatedItemMapper.fromDTO(item))
    }, id);
  }
  static toDTO(collection) {
    return {
      id: collection.getId(),
      collectionId: collection.getCollectionId(),
      languageCode: collection.getLanguageCode(),
      items: collection.getItems().map(item => _TranslatedItemMapper.TranslatedItemMapper.toDTO(item))
    };
  }
}
exports.TranslatedCollectionMapper = TranslatedCollectionMapper;

//# sourceMappingURL=TranslatedCollectionMapper.js.map